"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _ArrowLeft = _interopRequireDefault(require("./ArrowLeft"));
var _ArrowRight = _interopRequireDefault(require("./ArrowRight"));
var _scrollContext = require("./scrollContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function Carousel(props) {
  if (props.children == undefined) {
    var children = [/*#__PURE__*/React.createElement("div", {
      style: {
        width: "300px",
        border: "2px solid white",
        backgroundColor: "cadetblue",
        color: "white",
        padding: "5px",
        boxShadow: "1px 1px 1px 1px cadetblue"
      }
    }, "Please Provide Items")];
  } else {
    var children = props.children;
  }
  var scrollDetails = (0, _react.useContext)(_scrollContext.scrollContext);
  var count = props.countVisible;
  var currentSelect = [];
  for (var i = scrollDetails.first; i < scrollDetails.first + props.countVisible; ++i) {
    currentSelect.push(children[i]);
  }
  (0, _react.useEffect)(() => {
    scrollDetails.setSize(children.length);
  });
  return /*#__PURE__*/React.createElement("div", {
    className: props.containerClass
  }, /*#__PURE__*/React.createElement("div", {
    className: props.arrowContainerClass
  }, /*#__PURE__*/React.createElement(_ArrowLeft.default, {
    showStyle: props.arrowLShowStyle,
    arrowsAlwaysVisible: props.arrowsAlwaysVisible,
    hideStyle: props.arrowLHideStyle,
    countVisible: props.countVisible,
    shiftAmount: props.shiftAmount
  }, "<"), /*#__PURE__*/React.createElement(_ArrowRight.default, {
    showStyle: props.arrowRShowStyle,
    arrowsAlwaysVisible: props.arrowsAlwaysVisible,
    hideStyle: props.arrowRHideStyle,
    countVisible: props.countVisible,
    shiftAmount: props.shiftAmount
  }, ">")), /*#__PURE__*/React.createElement("div", {
    className: props.itemContainerClass
  }, children.slice(scrollDetails.first, scrollDetails.first + props.countVisible)));
}
var _default = Carousel;
exports.default = _default;